#!/bin/bash

set -xeuo pipefail
IFS=$'\n\t'

mkdir build \
	&& curl -fsSL "$GIT_DOWNLOAD_URL" -o git.tar.gz \
	&& echo "$GIT_DOWNLOAD_SHA256 git.tar.gz" | sha256sum -c - \
	&& tar -C build -xzf git.tar.gz \
	&& cd build/git-$GIT_VERSION \
	&& chmod +x configure \
	&& ./configure --with-libpcre \
	&& make all \
	&& make install PREFIX=/usr/local \
	&& cd ../.. \
	&& rm -rf build \
	&& rm git.tar.gz
